[Setup]
AppName=Ext2Fsd
AppVerName=Ext2Fsd 0.46a
AppPublisher=Matt Wu
AppPublisherURL=http://www.ext2fsd.com
AppSupportURL=http://www.ext2fsd.com
AppUpdatesURL=http://www.ext2fsd.com
DefaultDirName={pf}\Ext2Fsd
DefaultGroupName=Ext2Fsd
AllowNoIcons=true
OutputDir=C:\works\Ext2Fsd\0.46a
OutputBaseFilename=Ext2Fsd-0.46a
Compression=lzma
SolidCompression=true
InternalCompressLevel=max
SourceDir=C:\works\Ext2Fsd\0.46\Ext2Fsd
VersionInfoVersion=1.38.08.06
VersionInfoCompany=Ext2Fsd Group
AllowUNCPath=false
DisableReadyPage=true
ShowLanguageDialog=auto
MinVersion=0,5.0.2195
OnlyBelowVersion=0,6.03.7000
AppVersion=0.46a
VersionInfoDescription=Installer for Ext2Fsd 0.46a
UninstallRestartComputer=true
Uninstallable=true
ArchitecturesInstallIn64BitMode=x64

[Files]
Source: Documents\*; DestDir: {app}\Documents; Flags: ignoreversion; Components: driver
Source: Setup\Mke2fs.exe; DestDir: {app}; Flags: ignoreversion; Components: driver
Source: Setup\Ext2Mgr.exe; DestDir: {app}; Flags: ignoreversion; Components: driver
Source: Setup\Mount.exe; DestDir: {app}; Flags: ignoreversion; Components: driver
Source: Setup\Ext2Fsd.cer; DestDir: {app}; Flags: ignoreversion; Components: driver
Source: Setup\EnableVistaTestCert.bat; DestDir: {app}; Flags: ignoreversion; Components: driver
Source: Setup\_setup64.exe;  DestDir: "{app}"; DestName: "_setup.exe"; Components: driver; Check: Is64BitInstallMode; Flags: ignoreversion
Source: Setup\_setup32.exe;  DestDir: "{app}"; DestName: "_setup.exe"; Components: driver; Check: not Is64BitInstallMode; Flags: ignoreversion
Source: Setup\w2k\ext2fsd.sys; DestDir: {sys}\Drivers; Components: driver; Check: not Is64BitInstallMode; MinVersion: 0,5.0.2195; OnlyBelowVersion: 0,5.01.2599; Flags: ignoreversion uninsrestartdelete promptifolder
Source: Setup\wxp\ext2fsd.sys; DestDir: {sys}\Drivers; Components: driver; Check: not Is64BitInstallMode; MinVersion: 0,5.01.2600; OnlyBelowVersion: 0,5.03.4800; Flags: ignoreversion uninsrestartdelete promptifolder
Source: Setup\wxp\ext2fsd.signed.sys; DestDir: {sys}\Drivers;  DestName: "ext2fsd.sys"; Components: driver; Check: not Is64BitInstallMode; MinVersion: 0,6.00.5000; OnlyBelowVersion: 0,6.03.7000; Flags: ignoreversion uninsrestartdelete promptifolder
Source: Setup\w64\ext2fsd.sys; DestDir: {sys}\Drivers; Components: driver; Check: Is64BitInstallMode; MinVersion: 0,5.01.2600; OnlyBelowVersion: 0,5.03.4800; Flags: ignoreversion uninsrestartdelete promptifolder
Source: Setup\w64\ext2fsd.signed.sys; DestDir: {sys}\Drivers; DestName: "ext2fsd.sys"; Components: driver; Check: Is64BitInstallMode; MinVersion: 0,6.00.5000; OnlyBelowVersion: 0,6.03.7000; Flags: ignoreversion uninsrestartdelete promptifolder

[Icons]
Name: {group}\Ext2 Volume Manager; Filename: {app}\Ext2Mgr.exe; WorkingDir: {app}
Name: {group}\Documents\Frequently Asked Questions; Filename: {app}\Documents\FAQ.txt; WorkingDir: {app}\Documents
Name: {group}\Documents\Release Notes; Filename: {app}\Documents\notes.txt; WorkingDir: {app}\Documents
Name: {group}\Documents\Read Me; Filename: {app}\Documents\readme.txt; WorkingDir: {app}\Documents
Name: {group}\Uninstall Ext2Fsd; Filename: "{app}\unins000.exe"; WorkingDir: {app}

[Run]
Filename: {app}\Ext2Mgr.exe; Description: Start Ext2 Volume Manager right now to assign driver letters for your ext2/ext3 partitions ?; Flags: nowait postinstall skipifsilent; WorkingDir: {app}

[UninstallRun]

[Types]
Name: custom; Description: Ext2Fsd Programs and Source Code; Flags: iscustom

[Components]
Name: driver; Description: Ext2 file system driver and applications; ExtraDiskSpaceRequired: 1177; Flags: fixed; Types: custom

[Tasks]
Name: auto_start; Description: Make Ext2Fsd automatically started when system boots; Flags: unchecked
Name: ext2write; Description: Enable write support for Ext2 partitions; Flags: unchecked checkablealone
Name: ext2write\ext3write; Description: Enable force writing support on Ext3 partitions; Flags: unchecked dontinheritcheck

[Registry]
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: string; ValueName: DisplayName; ValueData: Linux ext2 file system driver; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: ErrorControl; ValueData: 00000001; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: string; ValueName: Group; ValueData: File System; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: Start; ValueData: 00000001; Flags: uninsdeletekey; Tasks: auto_start
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: Start; ValueData: 00000003; Flags: uninsdeletekey; Tasks: not auto_start
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: Type; ValueData: 00000002; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: WritingSupport; ValueData: 00000000; Flags: uninsdeletekey; Tasks: not ext2write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: WritingSupport; ValueData: 00000001; Flags: uninsdeletekey; Tasks: ext2write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: Ext3ForceWriting; ValueData: 00000000; Flags: uninsdeletekey; Tasks: not ext2write\ext3write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: Ext3ForceWriting; ValueData: 00000001; Flags: uninsdeletekey; Tasks:  ext2write\ext3write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: CheckingBitmap; ValueData: 00000000; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: string; ValueName: CodePage; ValueData: default; Flags: uninsdeletekey

[Code]
procedure CurStepChanged(CurStep: TSetupStep);
var
  ResultCode: Integer;
begin
if (CurStep = ssInstall) then Exec(ExpandConstant('{app}\_setup.exe'), 'killmgr', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
if (CurStep = ssPostInstall) then Exec(ExpandConstant('{app}\_setup.exe'), 'install', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
end;

procedure CurUninstallStepChanged (CurUninstallStep: TUninstallStep);
var
  ResultCode: Integer;
begin
if (CurUninstallStep = usUninstall) then Exec(ExpandConstant('{app}\_setup.exe'), 'remove', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
if (CurUninstallStep = usUninstall) then Exec(ExpandConstant('{app}\_setup.exe'), 'remove', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
if (CurUninstallStep = usPostUninstall) then DelTree(ExpandConstant('{app}'), True, True, True);
end;
